﻿
local StoneGateV5 = foundation.createMod();

StoneGateSetPrefix = "STONE_GATE_V5"

StoneGateV5:log("Hello World: StoneGateV5")
--StoneGateV5:logWarning("This is a warning!")
--StoneGateV5:logError("This is an error!")
--StoneGateV5:msgBox("StoneGateV5: Hello there")

if (foundation.getGameVersion == nil) then
    StoneGateV5:msgBox("StoneGateV5: Unknown game version")
    StoneGateV5:dofile("scripts/monument.lua")
elseif (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    StoneGateV5:msgBox("StoneGateV5: game version 1.5")
    StoneGateV5:dofile("scripts/monument.lua")
else
    StoneGateV5:msgBox("StoneGateV5: game version" .. foundation.getGameVersion())

    function checkVersion(_name, _id, _minimalVersion)
        if (foundation.getModVersion == nil) then
            StoneGateV5:msgBox("StoneGateV5: Unknown mod version")
        elseif (foundation.isModEnabled(_id)) then
            if (foundation.isModLoaded(_id)) then
                local _myVersion = foundation.getModVersion(_id)
                StoneGateV5:msgBox("StoneGateV5: " .. _name .. " Current version : " .. _myVersion)
                if version.cmp(_myVersion, _minimalVersion) < 0 then
                    StoneGateV5:msgBox("StoneGateV5: Please, load the last version of " .. _name)
                else
                    return true
                end
            else
                StoneGateV5:msgBox("StoneGateV5: Up the position of " .. _name .. " in the mod list of your game")
            end
        else
            StoneGateV5:msgBox("StoneGateV5: " .. _name .. " disabled")
        end
        return false
    end

    if checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", "1.1.0") then
        StoneGateV5:dofile("scripts/monument.lua")
    end
end
